var $AdfDhtmlInputTextPeer$$ = $AdfRichUIPeer$$.$createPeerClass$($AdfDhtmlInputBasePeer$$, "AdfDhtmlInputTextPeer");
$goog$exportSymbol$$("AdfDhtmlInputTextPeer", $AdfDhtmlInputTextPeer$$);
$AdfDhtmlInputTextPeer$$.$InitSubclass$ = function $$AdfDhtmlInputTextPeer$$$$InitSubclass$$() {
  $AdfObject$$.$ensureClassInitialization$(AdfRichInputText);
  $AdfRichUIPeer$$.$addComponentPropertyGetters$(this, AdfRichInputText.LABEL);
  $AdfRichUIPeer$$.$addComponentEventHandlers$(this, $AdfUIInputEvent$$.$KEY_DOWN_EVENT_TYPE$, $AdfUIInputEvent$$.$KEY_PRESS_EVENT_TYPE$, $AdfUIInputEvent$$.$KEY_UP_EVENT_TYPE$);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichInputText.LABEL);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichInputText.READ_ONLY);
  $AdfRichUIPeer$$.$addComponentPropertyChanges$(this, AdfRichInputText.CONTENT_STYLE);
};
$goog$exportSymbol$$("AdfDhtmlInputTextPeer.InitSubclass", $AdfDhtmlInputTextPeer$$.$InitSubclass$);
$AdfDhtmlInputTextPeer$$.prototype.$InitDomElement$ = function $$AdfDhtmlInputTextPeer$$$$$InitDomElement$$($component$$1471$$, $domElement$$311$$) {
  $AdfDhtmlInputTextPeer$$.$superclass$.$InitDomElement$.call(this, $component$$1471$$, $domElement$$311$$);
  var $agent$$353$$ = $AdfAgent$$.$AGENT$, $domNode$$48$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1471$$);
  $agent$$353$$.$getPlatform$() == $AdfAgent$$.$IE_PLATFORM$ && 9 > $agent$$353$$.$getVersion$() ? $AdfAgent$$.$AGENT$.$addBubbleEventListener$($domNode$$48$$, "propertychange", this.$createCallback$(this.$_handleInput$)) : $AdfAgent$$.$AGENT$.$addBubbleEventListener$($domNode$$48$$, "input", this.$createCallback$(this.$_handleInput$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.InitDomElement", {$InitDomElement$:$AdfDhtmlInputTextPeer$$.prototype.$InitDomElement$});
$AdfDhtmlInputTextPeer$$.prototype.$replaceTextSelection$ = function $$AdfDhtmlInputTextPeer$$$$$replaceTextSelection$$($value$$215$$) {
  var $component$$1472$$ = this.$getComponent$();
  if (this.$WasSubmitted$($component$$1472$$)) {
    var $domNode$$49$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1472$$);
    $AdfEditingAgent$$.$getInstance$().$insertHtmlAtSelection$($domNode$$49$$, $value$$215$$);
    this.$RunValidation$($component$$1472$$, $domNode$$49$$);
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.replaceTextSelection", {$replaceTextSelection$:$AdfDhtmlInputTextPeer$$.prototype.$replaceTextSelection$});
$AdfDhtmlInputTextPeer$$.prototype.$needsResizeNotify$ = function $$AdfDhtmlInputTextPeer$$$$$needsResizeNotify$$($component$$1473$$) {
  var $agent$$354_ver$$ = $AdfAgent$$.$AGENT$, $isIE$$6$$ = $agent$$354_ver$$.$getPlatform$() == $AdfAgent$$.$IE_PLATFORM$, $agent$$354_ver$$ = $agent$$354_ver$$.$getVersion$();
  return $isIE$$6$$ && 8 > $agent$$354_ver$$ && $AdfDomUtils$$.$containsCSSClassName$($AdfRichUIPeer$$.$getDomNodeForComponent$($component$$1473$$), "p_AFStretched");
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.needsResizeNotify", {$needsResizeNotify$:$AdfDhtmlInputTextPeer$$.prototype.$needsResizeNotify$});
$AdfDhtmlInputTextPeer$$.prototype.$resizeNotify$ = function $$AdfDhtmlInputTextPeer$$$$$resizeNotify$$($component$$1474_domNode$$50$$, $agent$$355_oldWidth$$12$$, $oldHeight$$15$$, $newWidth$$17$$, $newHeight$$18$$) {
  $agent$$355_oldWidth$$12$$ = $AdfAgent$$.$AGENT$;
  $component$$1474_domNode$$50$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1474_domNode$$50$$);
  $agent$$355_oldWidth$$12$$.$setOuterWidth$($component$$1474_domNode$$50$$, $newWidth$$17$$);
  $agent$$355_oldWidth$$12$$.$setOuterHeight$($component$$1474_domNode$$50$$, $newHeight$$18$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.resizeNotify", {$resizeNotify$:$AdfDhtmlInputTextPeer$$.prototype.$resizeNotify$});
$AdfDhtmlInputTextPeer$$.prototype.$SetDisplayValue$ = function $$AdfDhtmlInputTextPeer$$$$$SetDisplayValue$$($component$$1475$$, $domElement$$312_domNode$$51$$, $newValue$$102$$) {
  $AdfAssert$$.$assertString$($newValue$$102$$);
  $domElement$$312_domNode$$51$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1475$$);
  $component$$1475$$.getReadOnly() ? (1 < $component$$1475$$.getRows() || 1 != this.$IsSecret$($component$$1475$$)) && $AdfAgent$$.$AGENT$.$setTextContent$($domElement$$312_domNode$$51$$, $newValue$$102$$) : (1 < $component$$1475$$.getRows() || this.$IsSecret$($component$$1475$$) || ($domElement$$312_domNode$$51$$.title = $newValue$$102$$), $domElement$$312_domNode$$51$$.value != $newValue$$102$$ && ($domElement$$312_domNode$$51$$.value = $newValue$$102$$));
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.SetDisplayValue", {$SetDisplayValue$:$AdfDhtmlInputTextPeer$$.prototype.$SetDisplayValue$});
$AdfDhtmlInputTextPeer$$.prototype.$IsSecret$ = function $$AdfDhtmlInputTextPeer$$$$$IsSecret$$($component$$1476$$) {
  return "password" == $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1476$$).type ? !0 : !1;
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.IsSecret", {$IsSecret$:$AdfDhtmlInputTextPeer$$.prototype.$IsSecret$});
$AdfDhtmlInputTextPeer$$.prototype.$HandleComponentKeyPress$ = function $$AdfDhtmlInputTextPeer$$$$$HandleComponentKeyPress$$($componentEvent$$284$$) {
  this.$StopArrowKeyBubbling$($componentEvent$$284$$);
  if ($componentEvent$$284$$.$getEventPhase$() == $AdfBaseEvent$$.$AT_TARGET_PHASE$) {
    var $component$$1477_evtKeyCode$$ = this.$getComponent$(), $targetNode$$34$$ = $componentEvent$$284$$.$getNativeEventTarget$(), $evt$$102_shouldCancel$$ = $componentEvent$$284$$.$getNativeEvent$(), $evtCharCode_keyCode$$71$$ = $AdfAgent$$.$AGENT$.$getKeyCode$($evt$$102_shouldCancel$$);
    "TEXTAREA" == $targetNode$$34$$.tagName ? this.$CheckLength$($component$$1477_evtKeyCode$$, $targetNode$$34$$) && ($component$$1477_evtKeyCode$$ = $evt$$102_shouldCancel$$.keyCode, $evtCharCode_keyCode$$71$$ = $evt$$102_shouldCancel$$.charCode, 0 != $component$$1477_evtKeyCode$$ && 13 != $component$$1477_evtKeyCode$$ && void 0 != $evtCharCode_keyCode$$71$$ && $component$$1477_evtKeyCode$$ != $evtCharCode_keyCode$$71$$ || $evt$$102_shouldCancel$$.ctrlKey || ($evt$$102_shouldCancel$$ = !0, null != 
    $targetNode$$34$$.selectionStart ? $evt$$102_shouldCancel$$ = $targetNode$$34$$.selectionStart == $targetNode$$34$$.selectionEnd : document.selection && ($evt$$102_shouldCancel$$ = "" == document.selection.createRange().text), $evt$$102_shouldCancel$$ && $componentEvent$$284$$.cancel())) : $evtCharCode_keyCode$$71$$ == $AdfKeyStroke$$.$ENTER_KEY$ && this.$RunValidation$($component$$1477_evtKeyCode$$, $targetNode$$34$$, !0);
    this.$_nodeLength$ = $targetNode$$34$$.value ? $targetNode$$34$$.value.length : 0;
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.HandleComponentKeyPress", {$HandleComponentKeyPress$:$AdfDhtmlInputTextPeer$$.prototype.$HandleComponentKeyPress$});
$AdfDhtmlInputTextPeer$$.prototype.$HandleComponentKeyUp$ = function $$AdfDhtmlInputTextPeer$$$$$HandleComponentKeyUp$$($componentEvent$$285$$) {
  if ($componentEvent$$285$$.$getEventPhase$() == $AdfBaseEvent$$.$AT_TARGET_PHASE$) {
    var $keyCode$$72$$ = $AdfAgent$$.$AGENT$.$getKeyCode$($componentEvent$$285$$.$getNativeEvent$()), $component$$1478$$ = this.$getComponent$(), $targetNode$$35$$ = $componentEvent$$285$$.$getNativeEventTarget$();
    9 != $keyCode$$72$$ && this.$AutoTab$($component$$1478$$, $targetNode$$35$$);
    delete this.$_nodeLength$;
  }
  $AdfDhtmlInputTextPeer$$.$superclass$.$HandleComponentKeyUp$.call(this, $componentEvent$$285$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.HandleComponentKeyUp", {$HandleComponentKeyUp$:$AdfDhtmlInputTextPeer$$.prototype.$HandleComponentKeyUp$});
$AdfDhtmlInputTextPeer$$.prototype.$HandleComponentKeyDown$ = function $$AdfDhtmlInputTextPeer$$$$$HandleComponentKeyDown$$($componentEvent$$286$$) {
  this.$StopArrowKeyBubbling$($componentEvent$$286$$);
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.HandleComponentKeyDown", {$HandleComponentKeyDown$:$AdfDhtmlInputTextPeer$$.prototype.$HandleComponentKeyDown$});
$AdfDhtmlInputTextPeer$$.prototype.$_handleInput$ = function $$AdfDhtmlInputTextPeer$$$$$_handleInput$$($component$$1479_componentEvent$$287_eventTarget$$62$$) {
  $component$$1479_componentEvent$$287_eventTarget$$62$$ = $AdfAgent$$.$AGENT$.$getEventTarget$($component$$1479_componentEvent$$287_eventTarget$$62$$);
  if ($component$$1479_componentEvent$$287_eventTarget$$62$$ = $AdfPage$$.$PAGE$.$findComponent$($AdfAgent$$.$AGENT$.getAttribute($component$$1479_componentEvent$$287_eventTarget$$62$$, "name"))) {
    var $domNode$$53$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1479_componentEvent$$287_eventTarget$$62$$);
    this.$CheckLength$($component$$1479_componentEvent$$287_eventTarget$$62$$, $domNode$$53$$);
  }
};
$AdfDhtmlInputTextPeer$$.prototype.$AutoTab$ = function $$AdfDhtmlInputTextPeer$$$$$AutoTab$$($component$$1480$$, $node$$82$$) {
  if ($component$$1480$$.getAutoTab && $component$$1480$$.getAutoTab() && ($AdfAgent$$.$AGENT$.$getCapabilities$()[$AdfAgent$$.$CAP_TOUCH_SCREEN$] == $AdfAgent$$.$CAP_TOUCH_SCREEN_NONE$ || $AdfAgent$$.$guessOS$() == $AdfAgent$$.$ANDROID_OS$)) {
    var $maximumLength$$2$$ = $component$$1480$$.getMaximumLength();
    if (!(1 > $maximumLength$$2$$)) {
      var $nodeLength$$2$$ = $node$$82$$.value ? $node$$82$$.value.length : 0;
      $nodeLength$$2$$ >= $maximumLength$$2$$ && $nodeLength$$2$$ >= this.$_nodeLength$ && $AdfFocusUtils$$.$focusNextTabStop$($node$$82$$);
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.AutoTab", {$AutoTab$:$AdfDhtmlInputTextPeer$$.prototype.$AutoTab$});
$AdfDhtmlInputTextPeer$$.prototype.$GetInlineEditor$ = function $$AdfDhtmlInputTextPeer$$$$$GetInlineEditor$$() {
  return $AdfDhtmlSimpleLabelEditor$$.$getInlineEditor$();
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.GetInlineEditor", {$GetInlineEditor$:$AdfDhtmlInputTextPeer$$.prototype.$GetInlineEditor$});
$AdfDhtmlInputTextPeer$$.prototype.$ComponentReadOnlyChanged$ = function $$AdfDhtmlInputTextPeer$$$$$ComponentReadOnlyChanged$$($component$$1481_contentNode$$73$$, $domElement$$313$$, $attrs$$6_newValue$$103$$) {
  if ($attrs$$6_newValue$$103$$) {
    if ("SPAN" == $domElement$$313$$.tagName) {
      if ($AdfDomUtils$$.$containsCSSClassName$($domElement$$313$$, "p_AFClickToEdit") && $AdfDomUtils$$.$removeCSSClassName$($domElement$$313$$, "p_AFClickToEdit"), $AdfDomUtils$$.$addCSSClassName$($domElement$$313$$, "p_AFReadOnly"), $component$$1481_contentNode$$73$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1481_contentNode$$73$$), "INPUT" == $component$$1481_contentNode$$73$$.tagName) {
        var $inputNode_spanNode$$ = document.createElement("span");
        $inputNode_spanNode$$.appendChild(document.createTextNode($component$$1481_contentNode$$73$$.value));
        $attrs$$6_newValue$$103$$ = $component$$1481_contentNode$$73$$.attributes;
        for (var $i$$349$$ = 0;$i$$349$$ < $attrs$$6_newValue$$103$$.length;$i$$349$$++) {
          var $name$$96$$ = $attrs$$6_newValue$$103$$[$i$$349$$].name;
          "type" != $name$$96$$ && "value" != $name$$96$$ && $inputNode_spanNode$$.setAttribute($name$$96$$, $attrs$$6_newValue$$103$$[$i$$349$$].value);
        }
        $domElement$$313$$.replaceChild($inputNode_spanNode$$, $component$$1481_contentNode$$73$$);
        $AdfAgent$$.$AGENT$.$elementsAdded$($inputNode_spanNode$$);
      }
    } else {
      return !1;
    }
  } else {
    if ("SPAN" == $domElement$$313$$.tagName) {
      if ($AdfDomUtils$$.$containsCSSClassName$($domElement$$313$$, "p_AFReadOnly") && $AdfDomUtils$$.$removeCSSClassName$($domElement$$313$$, "p_AFReadOnly"), $AdfDomUtils$$.$addCSSClassName$($domElement$$313$$, "p_AFClickToEdit"), $component$$1481_contentNode$$73$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1481_contentNode$$73$$), "SPAN" == $component$$1481_contentNode$$73$$.tagName) {
        $inputNode_spanNode$$ = document.createElement("input");
        $attrs$$6_newValue$$103$$ = $component$$1481_contentNode$$73$$.attributes;
        for ($i$$349$$ = 0;$i$$349$$ < $attrs$$6_newValue$$103$$.length;$i$$349$$++) {
          $inputNode_spanNode$$.setAttribute($attrs$$6_newValue$$103$$[$i$$349$$].name, $attrs$$6_newValue$$103$$[$i$$349$$].value);
        }
        $inputNode_spanNode$$.setAttribute("type", "text");
        $component$$1481_contentNode$$73$$.firstChild && $component$$1481_contentNode$$73$$.firstChild.nodeValue && $inputNode_spanNode$$.setAttribute("value", $component$$1481_contentNode$$73$$.firstChild.nodeValue);
        $inputNode_spanNode$$.setAttribute("name", $domElement$$313$$.id);
        $domElement$$313$$.replaceChild($inputNode_spanNode$$, $component$$1481_contentNode$$73$$);
        $AdfAgent$$.$AGENT$.$elementsAdded$($inputNode_spanNode$$);
      }
    } else {
      return !1;
    }
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.ComponentReadOnlyChanged", {$ComponentReadOnlyChanged$:$AdfDhtmlInputTextPeer$$.prototype.$ComponentReadOnlyChanged$});
$AdfDhtmlInputTextPeer$$.prototype.$ComponentContentStyleChanged$ = function $$AdfDhtmlInputTextPeer$$$$$ComponentContentStyleChanged$$($component$$1482_contentNode$$74$$, $domElement$$314$$, $newValue$$104$$) {
  $component$$1482_contentNode$$74$$ = $AdfDhtmlEditableValuePeer$$.$getContentNode$($component$$1482_contentNode$$74$$);
  if (null != $component$$1482_contentNode$$74$$) {
    $component$$1482_contentNode$$74$$.style.cssText = $newValue$$104$$;
  } else {
    return !1;
  }
};
$AdfObject$$.$exportPrototypeSymbol$("AdfDhtmlInputTextPeer.prototype.ComponentContentStyleChanged", {$ComponentContentStyleChanged$:$AdfDhtmlInputTextPeer$$.prototype.$ComponentContentStyleChanged$});
